/* 基本設定 */

html {
  scroll-behavior: smooth;
}

body {
  padding: 0;
  margin: 0;
  background-color: black;
  color: white;
  height: 100dvh;
  width: 100dvw;
  font-family: 'Yu Gothic';
  font-size: 14px;
}

button {
  cursor: pointer;
  font-size: 14px;
}

input {
  background-color: black;
  color: white;
  border-color: white;
  font-size: 14px;
}

select {
  background-color: black;
  color: white;
  border-color: white;
  font-size: 14px;
}

textarea {
  background-color: black;
  color: white;
  border-color: white;
  resize: none;
  font-size: 14px;
}

a {
  color: white;
}

.err_msg {
  color: red;
}

.pointer {
  cursor: pointer;
}

.bold {
  font-weight: bold;
}

.none {
  display: none;
}

.hidden {
  visibility: hidden;
}

/* トップバー */

.top_bar {
  height: 50px;
  width: 100%;
  display: flex;
  justify-content: center;
}

  .top_bar .btn_image img {
    height: 30px;
    width: 30px;
    margin: 10px;
    cursor: pointer;
  }

  .top_bar .title_image {
    margin: auto;
  }

    .top_bar .title_image img {
      height: 60px;
      width: auto;
      cursor: pointer;
    }

/* 地図上のタブアイコン */

.tab_on_map {
  position: absolute;
  top: 10px;
  right: 10px;
  z-index: 500;
  background-color: rgba(255, 255, 255, 1);
  border: 2px solid #aaa;
  border-radius: 10px;
  display: flex;
}

  .tab_on_map a {
    height: 30px;
    margin: 10px;
  }

  .tab_on_map img {
    height: 30px;
    width: auto;
  }

/* 閉じるアイコン */

.tab_close {
  display: flex;
  height: 50px;
  width: 50px;
  margin-left: auto;
  z-index: 500;
}
  .tab_close a {
    height: 24px;
    width: 24px;
    margin: 3px;
    padding: 10px;
    font-size: 24px;
    font-weight: bold;
  }

/* モーダルバックグラウンド */

.modal_bg {
  position: absolute;
  top: 50px;
  left: 0;
  width: 100dvw;
  height: calc(100dvh - 50px);
  background-color: rgba(0, 0, 0, 0.9);
  z-index: 1000;
}

  /* スクロールバー全体 */
::-webkit-scrollbar {
  width: 10px;      /* 縦スクロールバーの幅 */
  height: 10px;     /* 横スクロールバーの高さ */
}

/* 背景（トラック） */
::-webkit-scrollbar-track {
  background: #000;
}

/* つまみ（サム） */
::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 6px;
}

/* ホバー時 */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

/* div_table */
.div_table_row {
  display: flex;
  justify-content: center;
  margin: 0 auto;
  height: 50px;
  width: 550px;
  max-width: 100%;
}

.div_table_col {
  margin: auto;
}

.div_table_label {
  width: 200px;
  font-weight: bold;
}

.div_table_content {
  display: flex;
  width: 350px;
  max-width: 100%;
  padding: 10px 0;
  margin: 0;
}

.div_table_content_1 {
  width: 100%;
}